import { useDictionaryStoreHook } from "@/store";
const { dicts } = useDictionaryStoreHook();
import {updateDrawaing} from "@/api/drawing";
import { useCrud } from "@/hooks/userCrud";
const { form, data, option, search, page, toDeleteIds, Methords, Utils } =
  useCrud({
    src: "/api/v1/base/drawing",
  });
const { dataList, createRow, updateRow, deleteRow, searchChange, resetChange } =
  Methords;
const drawing=reactive({});

export const columns = [
  { label: "图纸名称", prop: "drawingTitle", width: 130,overHidden: true,search: true ,rules: [{
      required: true,
      message: "请填写图纸名称",
      trigger: "blur"
    }],},
  { label: "图纸编号", prop: "drawingCode", width: 140,search: true,overHidden: true,search: true ,rules: [{
      required: true,
      message: "请填写图纸编号",
      trigger: "blur"
    }],},
  {
    label: "图纸类型",
    prop: "drawingDictValue",
    search: true,
    filterable: true,
    type: 'select',
    width: 100,overHidden: true,
    dicData:dicts.drawing_type,
    props: { label: "dictLabel", value: "dictValue" },
    rules: [{
      required: true,
      message: "请选择物料属性",
      trigger: "blur"
    }],
  },
  {
    label: "文件",
    prop: "drawingPath",
    span: 24,
    slot: true,
    hide:true,
  },
  { label: "文件",
    prop: "drawing",
    type: 'img',
    span: 24,
    display:false,
    slot: true,
    formatter: (row, column, cellValue, index) => {
      return `${row.drawingPath}`;} },
  {
    label: "版本",
    prop: "drawingVersion",
    type:"number",
    precision:1,
    rules: [{
      required: true,
      message: "版本号不能为空",
      trigger: "blur"
    }]


  },
  {
    label: "创建时间",
    prop: "created",
    display:false,
  },
  { label: "启用状态",
    slot:true,
    cell: true,
    align: 'center',
    headerAlign: 'center',
    prop: "enable",
    dicData: [{
      label: '',
      value: 0
    }, {
      label: '',
      value: 1
    }],
    value: 1,
    width: 100,
    type: 'switch',
    overHidden: true,
    value:1,
    click:(row, column, cellValue, index)=>{

      drawing.id=row.row.id;
      if(row.row.enable===1){
        drawing.enable=0;
      }
      if(row.row.enable===0){
        drawing.enable=1;
      }
      updateDrawaing(drawing).then(
        ()=>{dataList();}

      );
   }
  },
];
